{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-blocks') }}
    <link rel="stylesheet" type="text/css" href="{{ asset('libs/tipped/tipped.css') }}"/>
{% endblock %}

{% block content %}
    <div class="block-title">
        <p class="title">Блоки</p>
        <p class="subtitle">Блоки главной страницы</p>
    </div>
    <div class="block-content-wrapper">
        <div class="block-content-menu">
            <div class="block-content-menu-list pages-list">
                <ul>
                    {% for block in blocksMenu %}
                        <li><a href="{{ path(app.request.attributes.get('_route'), {'blockId': block.id}) }}" {% if block.id == app.request.attributes.get('blockId') %} class="active" {% endif %}><i class="{{ block.icon }}"></i> {{ block.displayName }}</a></li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        <div class="block-content-menu-mobile">
            <div class="block-content-menu-list pages-list">
                <ul>
                    {% for block in blocksMenu %}
                        <li><a href="{{ path(app.request.attributes.get('_route'), {'blockId': block.id}) }}" {% if block.id == app.request.attributes.get('blockId') %} class="active" {% endif %}><i class="{{ block.icon }}"></i><br> {{ block.displayName }}</a></li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        <div class="block-content">
            {% if block is not empty %}
                {% if block.name == 'services' %}
                    {% include 'admin/blocks/elements/services.html.twig'%}
                {% elseif block.name == 'gallery' %}
                    {% include 'admin/blocks/elements/gallery.html.twig'%}
                {% elseif block.name == 'about' %}
                    {% include 'admin/blocks/elements/about.html.twig'%}
                {% elseif block.name == 'prices' %}
                    {% include 'admin/blocks/elements/prices.html.twig'%}
                {% elseif block.name == 'registration' %}
                    {% include 'admin/blocks/elements/registration.html.twig'%}
                {% elseif block.name == 'contacts' %}
                    {% include 'admin/blocks/elements/contacts.html.twig'%}
                {% endif %}
            {% endif %}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin-blocks') }}
    <script type="text/javascript" src="{{ asset('libs/tipped/tipped.min.js') }}"></script>
{% endblock %}